import Component from '../component.js';
import CoEuiIconSvgButton from './eui-icon-svg-button.js';

export default class CoEuiSidebarToggle extends Component {
  constructor(parent) {
    let selector = 'eui-sidebar-toggle';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-sidebar-toggle/sidebar-toggle.component.html?at=master
  }
  get svgButtonCO(){
    return new CoEuiIconSvgButton(this.currentPath).addPredicateAttributeContains('iconSvgName', 'eui-ecl-hamburger');
  }
}

